Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class ReceivingEvent

    java.lang.Object
      org.teleal.cling.protocol.ReceivingAsync<IN>
          org.teleal.cling.protocol.ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>
              org.teleal.cling.protocol.sync.ReceivingEvent

All Implemented Interfaces:
  Runnable

    public class ReceivingEvent

extends ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>

Handles incoming GENA event messages.

Attempts to find an outgoing (remote) subscription matching the callback and subscription identifier. Once found, the GENA event message payload will be transformed and the `RemoteGENASubscription.receive(org.teleal.cling.model.types.UnsignedIntegerFourBytes, java.util.Collection)` method will be called asynchronously using the executor returned by `UpnpServiceConfiguration.getRegistryListenerExecutor()`.

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.cling.protocol.ReceivingSync
`outputMessage`

Constructor Summary
`ReceivingEvent(UpnpService upnpService, StreamRequestMessage inputMessage)`

Method Summary
`protected OutgoingEventResponseMessage` | `executeSync()`

Methods inherited from class org.teleal.cling.protocol.ReceivingSync
`execute, getOutputMessage, responseException, responseSent, toString`

Methods inherited from class org.teleal.cling.protocol.ReceivingAsync
`getFirstHeader, getInputMessage, getUpnpService, run, waitBeforeExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReceivingEvent

    public ReceivingEvent(UpnpService upnpService,
                          StreamRequestMessage inputMessage)

Method Detail

### executeSync

    protected OutgoingEventResponseMessage executeSync()

  Specified by:
    `executeSync` in class `ReceivingSync<StreamRequestMessage,OutgoingEventResponseMessage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.